//-- --- -----for VFX----- --- --
let VFX_Beams = GetCurrentScriptDirectory ~ "VFX/Beams.png" ;
let VFX_Cherry = GetCurrentScriptDirectory ~ "VFX/Cherry.png" ;
let VFX_Explosion = GetCurrentScriptDirectory ~ "VFX/explosion.png" ;
let VFX_Flower = GetCurrentScriptDirectory ~ "VFX/Flower.png" ;
let VFX_Feather = GetCurrentScriptDirectory ~ "VFX/Feather.png" ;
let VFX_Feather2 = GetCurrentScriptDirectory ~ "VFX/Feather2.png" ;
let VFX_Glowball = GetCurrentScriptDirectory ~ "VFX/glowymirror.png" ;
let VFX_Glow = GetCurrentScriptDirectory ~ "VFX/glow.png" ;
let VFX_Glow2 = GetCurrentScriptDirectory ~ "VFX/glow2.png" ;
let VFX_Glow3 = GetCurrentScriptDirectory ~ "VFX/glow3.png" ;
let VFX_Heart = GetCurrentScriptDirectory ~ "VFX/Heart.png" ;
let VFX_Magic = GetCurrentScriptDirectory ~ "VFX/Magic.png" ;
let VFX_Maple = GetCurrentScriptDirectory ~ "VFX/Maple.png" ;
let VFX_Music = GetCurrentScriptDirectory ~ "VFX/Music.png" ;
let VFX_Ring = GetCurrentScriptDirectory ~ "VFX/Ring.png" ;
let VFX_Ring2 = GetCurrentScriptDirectory ~ "VFX/Ring2.png" ;
let VFX_Ring3 = GetCurrentScriptDirectory ~ "VFX/Ring3.png" ;
let VFX_Smoke = GetCurrentScriptDirectory ~ "VFX/Smoke.png" ;
let VFX_Snow = GetCurrentScriptDirectory ~ "VFX/Snow.png" ;
let VFX_Snow2 = GetCurrentScriptDirectory ~ "VFX/Snow2.png" ;
let VFX_Sparkle = GetCurrentScriptDirectory ~ "VFX/Sparkle.png" ;
let VFX_Star = GetCurrentScriptDirectory ~ "VFX/Star.png" ;
let VFX_Star2 = GetCurrentScriptDirectory ~ "VFX/Star2.png" ;
let VFX_Yinyang = GetCurrentScriptDirectory ~ "VFX/yinyang.png" ;

//-- --- -----for SFX----- --- --

//stage
let Bossdam1 = GetCurrentScriptDirectory ~ "SFX/Bossdam1.wav" ;
let Bossdam2 = GetCurrentScriptDirectory ~ "SFX/Bossdam2.wav" ;
let timecount = GetCurrentScriptDirectory ~ "SFX/timecount.wav" ;
let CardCapture = GetCurrentScriptDirectory ~ "SFX/Capture.wav" ;
let SpellOn = GetCurrentScriptDirectory ~ "SFX/SpellOn.wav" ;
let SpellOff = GetCurrentScriptDirectory ~ "SFX/SpellOff.wav" ;
let BossExplode = GetCurrentScriptDirectory ~ "SFX/BossExplode.wav" ;

//menu
let pause = GetCurrentScriptDirectory ~ "SFX/pause.wav" ;
let select = GetCurrentScriptDirectory ~ "SFX/select.wav" ;
let cancel = GetCurrentScriptDirectory ~ "SFX/cancel.wav" ;

//Bullet shot
let shot1 = GetCurrentScriptDirectory ~ "SFX/Shot1.wav" ;
let shot2 = GetCurrentScriptDirectory ~ "SFX/Shot2.wav" ;
let shot3 = GetCurrentScriptDirectory ~ "SFX/Shot3.wav" ;
let shot4 = GetCurrentScriptDirectory ~ "SFX/Shot4.wav" ;
let shot5 = GetCurrentScriptDirectory ~ "SFX/Shot5.wav" ;
let shot6 = GetCurrentScriptDirectory ~ "SFX/Shot6.wav" ;
let shot7 = GetCurrentScriptDirectory ~ "SFX/Shot7.wav" ;
let shot8 = GetCurrentScriptDirectory ~ "SFX/Shot8.wav" ;
let shot9 = GetCurrentScriptDirectory ~ "SFX/Shot9.wav" ;
let water = GetCurrentScriptDirectory ~ "SFX/water.wav" ;

//Laser shot
let laser1 = GetCurrentScriptDirectory ~ "SFX/Laser1.wav" ;
let laser2 = GetCurrentScriptDirectory ~ "SFX/Laser2.wav" ;
let laser3 = GetCurrentScriptDirectory ~ "SFX/Laser3.wav" ;
let laser4 = GetCurrentScriptDirectory ~ "SFX/Laser4.wav" ;
let laser5 = GetCurrentScriptDirectory ~ "SFX/Laser5.wav" ;
let laser6 = GetCurrentScriptDirectory ~ "SFX/Laser6.wav" ;
let laser7 = GetCurrentScriptDirectory ~ "SFX/Laser7.wav" ;
let laser8 = GetCurrentScriptDirectory ~ "SFX/Laser8.wav" ;
let laser9 = GetCurrentScriptDirectory ~ "SFX/Laser9.wav" ;

//charge
let charge1 = GetCurrentScriptDirectory ~ "SFX/Charge1.wav" ;
let charge2 = GetCurrentScriptDirectory ~ "SFX/Charge2.wav" ;
let charge3 = GetCurrentScriptDirectory ~ "SFX/Charge3.wav" ;
let charge4 = GetCurrentScriptDirectory ~ "SFX/Charge4.wav" ;
let charge5 = GetCurrentScriptDirectory ~ "SFX/Charge5.wav" ;

//familiar
let famfx = GetCurrentScriptDirectory ~ "SFX/famfx.wav" ;
let famdiefx = GetCurrentScriptDirectory ~ "SFX/famdiefx.wav" ;

//Other effects
let bling = GetCurrentScriptDirectory ~ "SFX/bright.wav" ;
let spark = GetCurrentScriptDirectory ~ "SFX/spark.wav" ;
let caution = GetCurrentScriptDirectory ~ "SFX/Caution.wav" ;
let slash = GetCurrentScriptDirectory ~ "SFX/Slash.wav" ;
let wave = GetCurrentScriptDirectory ~ "SFX/BulletWave.wav" ;
let boon1 = GetCurrentScriptDirectory ~ "SFX/Boon1.wav" ;
let boon2 = GetCurrentScriptDirectory ~ "SFX/Boon2.wav" ;
let spirit1 = GetCurrentScriptDirectory ~ "SFX/spirit1.wav" ;
let spirit2 = GetCurrentScriptDirectory ~ "SFX/spirit2.wav" ;
let spirit3 = GetCurrentScriptDirectory ~ "SFX/spirit3.wav" ;
let spirit4 = GetCurrentScriptDirectory ~ "SFX/spirit4.wav" ;

//other other effects
let Eff1 = GetCurrentScriptDirectory ~ "SFX/Eff1.wav" ;
let Eff2 = GetCurrentScriptDirectory ~ "SFX/Eff2.wav" ;
let Eff3 = GetCurrentScriptDirectory ~ "SFX/Eff3.wav" ;
let Eff4 = GetCurrentScriptDirectory ~ "SFX/Eff4.wav" ;
let Eff5 = GetCurrentScriptDirectory ~ "SFX/Eff5.wav" ;
let Eff6 = GetCurrentScriptDirectory ~ "SFX/Eff6.wav" ;
let Eff7 = GetCurrentScriptDirectory ~ "SFX/Eff7.wav" ;
let Eff8 = GetCurrentScriptDirectory ~ "SFX/Eff8.wav" ;
let Eff9 = GetCurrentScriptDirectory ~ "SFX/Eff9.wav" ;
let Eff10 = GetCurrentScriptDirectory ~ "SFX/Eff10.wav" ;

task SFXload{
	LoadSound(Bossdam1);
	LoadSound(Bossdam2);
	LoadSound(timecount);
	LoadSound(CardCapture);
	LoadSound(SpellOn);
	LoadSound(SpellOff);
	LoadSound(BossExplode);
	
	LoadSound(pause);
	LoadSound(select);
	LoadSound(cancel);
	
	LoadSound(shot1);
	LoadSound(shot2);
	LoadSound(shot3);
	LoadSound(shot4);
	LoadSound(shot5);
	LoadSound(shot6);
	LoadSound(shot7);
	LoadSound(shot8);
	LoadSound(shot9);
	
	LoadSound(laser1);
	LoadSound(laser2);
	LoadSound(laser3);
	LoadSound(laser4);
	LoadSound(laser5);
	LoadSound(laser6);
	LoadSound(laser7);
	LoadSound(laser8);
	LoadSound(laser9);
	
	LoadSound(charge1);
	LoadSound(charge2);
	LoadSound(charge3);
	LoadSound(charge4);
	LoadSound(charge5);
	
	LoadSound(famfx);
	LoadSound(famdiefx);
	
	LoadSound(bling);
	LoadSound(spark);
	LoadSound(caution);
	LoadSound(slash);
	LoadSound(wave);
	LoadSound(boon1);
	LoadSound(boon2);
	LoadSound(spirit1);
	LoadSound(spirit2);
	LoadSound(spirit3);
	LoadSound(spirit4);
	
	LoadSound(Eff1);
	LoadSound(Eff2);
	LoadSound(Eff3);
	LoadSound(Eff4);
	LoadSound(Eff5);
	LoadSound(Eff6);
	LoadSound(Eff7);
	LoadSound(Eff8);
	LoadSound(Eff9);
	LoadSound(Eff10);
} 